AutoCAD .NET :: Double Click On Stretch Grip Of Dynamic Block Generate Fatal Error
Aug 7, 2011
I have this double click class. which works fine. In order to clear grips after user finishes with double clicking,I added two lines (which shown on code below). But having those two line make code faulty. When ?
if user select a dynamic block with stretch grip on it, then double click on stretch grip trianlge. code geneaarte fatal error. Funny thing is code doesn't catch. it. Is there any other way to clear grips after double click ?
Here is code:
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.EditorInputImports Autodesk.AutoCAD.DatabaseServicesPublic Class Main_0_Class Implements IExtensionApplication Public Sub Initialize() Implements IExtensionApplication.Initialize dblClickEven_Class.Start() End Sub
[Code] .....
View 7 Replies
ADVERTISEMENT
Feb 4, 2011
I have successfully created a dynamic block. I can insert it into AutoCAD, and it behaves like I want, except for one thing.
I can select the block and change it by taking a grippoint and place it at another position. So my block is e.q. stretched, just like I wanted.
But then. When I want to use the ordinary STRETCH command of AutoCAD, I can only stretch the insertion point of the block, but not the grippoints. Is there a way to set a grippoint to be select edable by commands like STRETCH.
View 9 Replies
View Related
Jan 24, 2013
I have created a dynamic block with stretch points. I used the tester in the block editor and all works fine, but when I insert the block into a drawing, the grips for the stretch action are in a completely different place...I don't mean a different place on the block, but a different place in the drawing...way out there. so if I go into the block editor for the block while I'm in the drawing...the parameters have now moved way out of the way also, in the block...but if I actually open up the block itself and then go into the block editor, all the parameters are where i placed them in the first place.
View 1 Replies
View Related
Jul 29, 2013
If you create a group, after that select it and click on the insertion point (grip) using a lot of time the space bar (to switch between move, rotate, scale and mirror) after a while autocad crash.
Tested in AutoCAD 2013 and 2014 in more the one installation.
View 1 Replies
View Related
Apr 4, 2012
Is there a way to have the grip stay in the correct position when the distance multiplier is .5? It seems to "get ahead" of the original location.
In the attached block, when I stretch the block with the grip, the grip ends up off the end point. Both actions have a .5 multiplier, with the left side having a rotation of 180 - so both sides stretch equally in opposite directions.
Also, there are 3 views with parameters (width/depth). Is there a way to get the user to enter in the sizes without having to select the size on each view? Basically a table that has a 'user input' field so the size selected changes everything at one time.
View 7 Replies
View Related
Apr 16, 2012
Fatal error when using grip to select object.. Crashes
View 5 Replies
View Related
Jun 13, 2013
I have a dynamic block, that represents a stirrup.
I inserted in the block a Block Propreties Table, that have some preset dimensions for the stirrups. The grip of this table I decided to put in the top right corner.
The problem is that I can't make this grip moveable )
See the attachement with the block
View 1 Replies
View Related
Nov 15, 2012
I have a dynamic block with several actions and parameters. There are three grip points. Two are visible. One appears when you move one of the other grips. If i insert or paste this block near my template, the X/Y basepoint stays near the template when i drag the block on the template with one of the other two grips.. When i print the drawing the basepoint stays visible and the scale on my printed drawing is not correct (smaller).
View 9 Replies
View Related
Apr 15, 2011
Exploring a new field in LT here, was wondering if it's possible to use a flip-grip kind of parameter to control the scale of an object, kind of like an on/off switch.
In this case I have a straight line that is about 15mm. What I want is to be able to click a grip and it disappears ( scales down ) and when I click it again it reappears ( scales up ).
I know that this is possible through a lookup parameter or just a similar effect with a stretch grip, But I want to be able to just click a grip like the one for Flip and it re/appears.
View 9 Replies
View Related
Jul 4, 2013
How do I stretch a hatch in dynamic block? It does not seem to work if I select the hatch along with other lines of a counter block.
View 2 Replies
View Related
Mar 7, 2012
I'm wondering if there is a way to do two things with a block.In the attached drawing, I have a block, Block01. There are 2 visibility states: stretch with 90 degree ends, and stretch with angled ends.
I'd like for the grips for the other parameters to move with the block when I stretch one grip. For example: If I stretch the object with the 90 degree end, I'd like the grips for the angled ends stay in the same position relative to the corners of the object.
I'd also like to have a parameter that reads the angle when stretching with the "stretch with angled ends parameter.
View 9 Replies
View Related
Dec 3, 2012
my problem is whenever i make a new block a stretch point appears even if its not a dynamic block . also its not a stretch point, because when i click on it, it just move the block , and it always appear on the coordinates 0,0 it cause me a problem when I insert the block , autocad use this point as a base point , and its very far from the real block .
View 1 Replies
View Related
Apr 6, 2013
I am trying to insert a dynamic block and position and stretch the block, using the linear parameters, depending on values entered into a form.
I managed to create a form that would draw a series of boxes. And i managed to create a routine that would insert a block and size it depending on fixed values but i can't link the 2 together.
Win 7 Pro 64bit, Dell Precision M6500
View 8 Replies
View Related
Nov 14, 2013
I changed something about how AutoCAD displays and enters data for block grips.
It used to display the current value for the parameter when I dragged a grip. For instance grabbing a grip for a linear parameter would give me the current length of the parameter and if I typed 24" into the dynamic input it would change the parameter's value to 24"
Now the grips behave as if they were ordinary entities. For example if I grabbed a linear grip that had a value of 12" the displayed value is 0. As soon as I move it displays the value of the difference. Stretching it to 16" will display 4" when it used to display 16". If I were to type in 16" however the parameter shoots to 28" (12" + 16")!See, it's giving me the polar distance I dragged the grip and not 2'-2" (the value of the linear parameter) like it should.
AutoCAD 2010
AutoCAD LT 2013
View 4 Replies
View Related
Jun 27, 2011
A simple dynamic block using a Block Properties Table to control the value of an attribute. The block also has flip & rotate actions, but I cannot get the Block Table grip to flip or rotate with the rest of the block even though it is part of both selection sets.
View 1 Replies
View Related
Nov 4, 2013
Basically I want a dynamic block that works like an MLeader. I have built the block and can manipulate parameters, but haven't found a way to select a specific dynamic block grip.
It has a base point but then after placing the block I want to activate the stretch grip.
View 9 Replies
View Related
Jul 11, 2011
Arcticad gave me code to work out the right keywords to search for. The only google hit was a chinese website.I added it to his/her code but didn't delete any of the existing handlers just in case.
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.ApplicationServicesImports AcApp = Autodesk.AutoCAD.ApplicationServices.ApplicationImports Autodesk.AutoCAD.EditorInput<Assembly: ExtensionApplication(GetType(VbExtApp))> Public Class VbExtApp Implements Autodesk.AutoCAD.Runtime.IExtensionApplication Private DocMan As DocumentCollection 'Initialize sub.
[code]....
View 9 Replies
View Related
Jul 26, 2011
I'm looking to make a dynamic block that will either strech up or down but some of the element stay the same in the other visivility
Here is a block i am talking about!
dynamic block.dwg
View 3 Replies
View Related
Mar 18, 2013
I am working on a dynamic block that I figured would be fairly simple. However, it is proving to be a huge annoyance. What I want for it to do is stretch the end of a polyline with a stretch action, while at the same time moving the grip of my block properties table. No matter what I do to it, the block properties grip won't move/stretch.
View 4 Replies
View Related
Feb 26, 2013
I wrote a couple of functions one of them creates a block with a Name let say "MyBlock".
I wrote a command "MyBlockEdit" where the selected block attribute data is displayed in a custom form to change some of the properties.
Now I want to add the folowing function:
When a block with the blockname "MyBlock" is doubleclicked the command "MyBlockEdit" is triggered in place of the attribute editor.
View 9 Replies
View Related
May 24, 2013
I have a problem with dynamic blocks.
I have inserted a dynamic block (with .NET) and changed the value of a dynamic parameter (Linear). The block is stretched as it should be. (no problems here).
After a fiew other routines, I select the block again (by using its objectID) and a want to get the coördinates of the grip of the linear dynamic paramter. Is there a way to get the coördinates based on the linear dynamic parameter and its grip points? code in vb.Net?
View 4 Replies
View Related
Nov 29, 2013
I know that stretch will not affect major or minor radius of an ellipse in dynamic block.
What I would like to be able to do is use properties of an ellipse and some kind of parameter to be able to affect values in properties.
I know how to get ellipse radii data out of a block, but I simply cannot find a way to get them back in...
Is there a way to link field data back to block...?
View 2 Replies
View Related
Feb 3, 2012
In the attached dwg, I have a dynamic block "Platform" which is used several times. I have an adjustable length, with the array set to repeat the toggles (end view of 2x4) every 2', not including the last 6". That works perfectly, except one thing. "Distance1" is the distance of the parameter, because this was the only way that I found to stop the array from showing up within 6" of the last toggle. When I insert "Platform," and click the arrow to stretch it, I can type in the distance desired minus 6", and I'll get the correct length of platform. However, I'd like to be able to type in the actual length, and have the array work appropriately (the same way it does now).
Then, I'd like to create a custom toolbar that has a button to click which will insert this platform and ask me what the length of the platform should be (the entire distance). After specifying an insertion point, the block will insert at the correct length, with the appropriate toggles.
Here's what I'd like to do with it: using datalink, I'd like to count the following: how many copies of each length of platform is in the drawing, with toggle count and length of platform specified. I have already figured out the datalink to get the value of "Distance1", it's only the issue with the toggle count that I'm trying to figure out.
View 0 Replies
View Related
Dec 4, 2013
In my Project I build a static Block by inserting dynamic blocks from a template dwg and then explode them.
Actually I create a new Data Base, insert the blocks from my template, set the according Dynamic Properties, Explode the Block in the temp DB and then wblockclone the resulting Objects in my destination BlockTableRecord.
This works fine, but:
in my source dyn. block there is an associative surface defined by a Polyline(Rectangle) , attached a stretch action to change the size. I can set the Width parameter, after the Explode the polyline itself is updated, but the planar surface is not... so if I explode this block I get a well stretched Polyline and the "base" surface.
Manipulating the dynamic Block works fine... If I have stretched 3D-Meshes, they are ok as well. It seems to be something with the planar surface object.
Dim objs As New DBObjectCollection idsToImport.Clear() If Helpers.Registry.GetValueFromRegistry("ExplodeSubs").ToString = "1" Then ' debug switch bref.Explode(objs) 'the dyn BlockRef in the external (temp) Database bref.Erase(True) For Each [code].......
View 2 Replies
View Related
Dec 12, 2013
I have drawn a simple block that I want to stretch in two directions manually or from the properties palatte.
My block works fine once and then breaks down. Stretch the block in the 'Y' direction. Deselect the block. Stretch the block again and only the grip moves. Edit the block and close the block, the block resets.
View 6 Replies
View Related
May 27, 2011
I have a dynamic block for HSS column. Previously it was always 1"x1" and I would just scale it to the proper column size I needed. Ignoring the wall thickness.
But if there was an asymmetrical HSS (i.e. 4x6) the wall thicknesses and radii of corners would look funny.
So now I want one that has Stretch Actions to change the size of the column. I added a Stretch to one side, then the other with distance multiplier of -1. But as you can see on the attached, the Linear Parameter baseline doesn't stretch. I want to have the Parameter Distance the actual full width of the column so I can change the columns with the Properties Palette. Otherwise, I would just start the Parameter from the center of the column.
View 2 Replies
View Related
Dec 6, 2007
i'm trying to do a polar stretch and array for rigid insulation. RIGID2.dwg is my best option. but as you can see in the jpg, the first line should have arrayed already, because the gap is over 2". i tried to follow the instruction someone used for the clothes hangers URL.... and it resulted in RIGID.dwg, with the lines rotating off the main line.
View 9 Replies
View Related
Jun 3, 2013
The classic example of this, is a plan view of a door which shows you the opening, the arc and the door. How can I put a stretch on the opening and the door with a link in between, so when you stretch one, the other stretches with the same value?
View 4 Replies
View Related
Mar 2, 2011
I am working in ACAD 2009, I want to create a dynamic block for signage acad 2009 stretch mass element in dynamic where I need to be able to stretch hatched object. Neither mass element nor hatch do not stretch with the dynamic block. I need to see the area in 2D (not just a line).
View 2 Replies
View Related
Feb 19, 2013
I must be using the Enhanced attribute editor the wrong way. Every time I double click the attribute block the enhanced attribute editor opens the dialog box and I have to resize it so a can see all my tags. Then I have to click the tag I want to change then click the value to change it. To change a different tag I have to repeat that process over and over. It makes attributes a complete waste of time. It’s faster to change Mtext or Dtext. I must be doing something wrong. Is there a way to get the dialog box in the image to pop up when I double click the attribute block?
View 3 Replies
View Related
Jun 7, 2012
We have specialized electrical schematic drawings on what is termed roll-drawings. These roll-drawings are simply 12" tall and variable width type drawings. We've had some as short as 24 inches and as long as 900 inches. As a result we use these section dimensions to distinguish circuit boundaries. It's not a real dimension, just a way to distinguish what circuit is located where. I've tried to recreate it using a block for improved automation as currently we just use a lisp routine that draws an arrow and lines. It looks like the screen capture of my block below. Is it possible to have the inside endpoints of the lines automatically stretch outwardly toward the arrows as the attribute Value changs?
View 3 Replies
View Related